Bug 7260 - [FR] stop_daemon --timeout option
: [FR] stop_daemon --timeout option
Status: CLOSED WONTFIX
: Sisyphus
(All bugs in Sisyphus/service)
: unstable
: all Linux
: P2 enhancement
Assigned To:
:
:
:
:
: 12017
  Show dependency tree
 
Reported: 2005-07-01 09:27 by
Modified: 2012-01-26 00:39 (History)


Attachments
patch for --timeout option (1.38 KB, patch)
2007-08-24 12:57, enp
no flags Details | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-07-01 09:27:29
После перезапуска MySQL наблюдаю в логе следующее:

# cat /var/log/mysql/info
050629 16:50:50  /usr/sbin/mysqld: Normal shutdown

050629 16:50:50  InnoDB: Starting shutdown...
/usr/sbin/mysqld_wrapper: line 68:  3993 Killed                  nice $mysqld
"$@"
2005-Jun-29 16:50:51 :: execution killed
/usr/sbin/mysqld still running: 4017
2005-Jun-29 16:50:51 :: shutdown
2005-Jun-29 16:50:52 :: startup
050629 16:50:53  InnoDB: Database was not shut down normally.
InnoDB: Starting recovery from log files...
InnoDB: Starting log scan based on checkpoint at
InnoDB: log sequence number 0 43892
InnoDB: Doing recovery: scanned up to log sequence number 0 43892
050629 16:50:53  InnoDB: Flushing modified pages from the buffer pool...
050629 16:50:53  InnoDB: Started
/usr/sbin/mysqld: ready for connections.
Version: '4.0.20-log'  socket: '/mysql.sock'  port: 3306 

Вылечилось заменой usleep 100000 на uslep 10000000 в строке 356
/etc/init.d/functions.

Наверное, лучше бы вести соответствующий параметр для
stop_daemon, т.к. для других сервисов это не совсем хорошо ;)
------- Comment #1 From 2005-07-04 13:53:43 -------
reassign to startup (should allow for individual/tunable timeouts)
------- Comment #2 From 2005-07-04 13:54:38 -------
reassign to maintainer
------- Comment #3 From 2005-12-08 21:46:18 -------
Просьба FRы на Master не вешать.
------- Comment #4 From 2006-04-30 01:31:18 -------
FRы в /etc/init.d/functions относятся к другому пакету.
------- Comment #5 From 2007-03-24 01:53:44 -------
Updated summary.
------- Comment #6 From 2007-07-02 17:19:24 -------
Поймали именно это же на свеженалитом MySQL из 4.0.  Перевешиваю в Sisyphus.
------- Comment #7 From 2007-08-24 12:57:19 -------
Created an attachment (id=2163) [details]
patch for --timeout option

Похоже, мне это нужно больше всех ;)

То, что в аттаче, может не очень красиво, но работает. Можно приложить?
------- Comment #8 From 2007-09-09 21:24:29 -------
Так что, по мотивам приложенного или текущего nginx.init фиксим? :)
------- Comment #9 From 2011-01-22 17:21:40 -------
1) инитскрипт mysqld с тех пор похакали местно;
2) возможно, это всё так и проболтается до wontfix/systemd.
------- Comment #10 From 2011-01-24 09:47:48 -------
Есть опция --retry, мне например пришлось воткнуть её в uwsgi.
------- Comment #11 From 2012-01-26 00:39:22 -------
В 0.5.16-alt1 stop_daemon'у был добавлен параметр --retry, транслируемый as is
в start-stop-daemon.  Думаю что именно он вам и нужен, см.
https://bugzilla.altlinux.org/show_bug.cgi?id=15044

Этот параметр более универсален, чем тот, который вы предлагаете.